<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LawyerImgMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LawyerImg">
        <id column="id" property="id" />
        <result column="lawyer_id" property="lawyerId" />
        <result column="img_type" property="imgType" />
        <result column="img_description" property="imgDescription" />
        <result column="img_sort" property="imgSort" />
        <result column="img_url" property="imgUrl" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
        <result column="business_id" property="businessId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, lawyer_id, img_type, img_description, img_sort, img_url, delete_flag, created_time, created_user_id, updated_time, updated_user_id, business_id
    </sql>

</mapper>

